---
import Layout from "../layouts/Layout.astro";
import Hero from "../components/Hero.astro";
import Card from "../components/Card.astro";

const response = await fetch(
	"https://api.retailrocket.net/api/2.0/recommendation/Search/5d6d3c5297a5252454eafb7b/?&stockId=uy&phrase=apple&isDebug=false&format=json",
);
const items = await response.json();
const itemsArray = Array.from(items);
const ItemList = itemsArray.filter(
	(item: any) => item.Algorithm === "s" && item.Vendor !== "Stanley",
);
---

<Layout title="e-commerce ai test">
	<main class="w-full content text-white bg-zinc-100 space-y-10">
		<Hero />
		<section class="max-w-6xl mx-auto text-zinc-600">
			<h1 class="font-bold text-4xl">Lo Más Buscado</h1>
		</section>

		

		<section class="max-w-6xl mx-auto grid gap-5 text-zinc-900 sm:grid-cols-2 md:grid-cols-3 lg:grid-cols-4 pb-20">
			{ItemList.map((item) => <Card data={JSON.stringify(item)} />)}
		</section>


	</main>
</Layout>
